/*
	ソフトパッドによるAndroidゲーム画面スクロールテスト

	2012-10-23 創作プログラミングの街
*/
package jp.programmingmat.www.atfuiwnd;

import android.app.Activity;
import android.content.res.Configuration;
import android.os.Bundle;
import android.widget.*;
import android.graphics.BitmapFactory;

public class appActivity extends Activity {

	private SoftPad mPad = null;
	private appView mView = null;
	private LinearLayout mLayout = null;

	@Override
	public void onCreate(Bundle savedInstanceState) {

		super.onCreate(savedInstanceState);

		mPad = new SoftPad(this);
		
		mView = new appView(this, mPad);

		// マップチップ画像を設定
		mView.setChipBitmap(BitmapFactory.decodeResource(getResources(), R.drawable.chip_40), 40, 40);
		mView.setCharBitmap(BitmapFactory.decodeResource(getResources(), R.drawable.char_40));

		mLayout = new LinearLayout(this);

		int padWidth = 0;
		int padHeight = 0;
		
		// 画面設定に応じてレイアウトの配置方向を設定
		if(getResources().getConfiguration().orientation == Configuration.ORIENTATION_LANDSCAPE) {

			mLayout.setOrientation(LinearLayout.HORIZONTAL);

			padWidth = 150;
			padHeight = 250;
			
		} else {

			mLayout.setOrientation(LinearLayout.VERTICAL);

			padWidth = 250;
			padHeight = 150;
			
		}

		// レイアウトの配置方式を中央寄せに設定
		mLayout.setGravity(android.view.Gravity.CENTER);

		mLayout.setBackgroundColor(0xff000000);

		setContentView(mLayout);

		mLayout.addView(mView, 440, 440);
		mLayout.addView(mPad, padWidth, padHeight);

	}

}
